import React from "react";
import userImage from "../../assets/images/default-profile-pic.svg";

function Avatar({ source, size, rounded, status }) {
  return (
    <div className={`${rounded} overflow-hidden relative`}>
      <img
        src={source ? source : userImage}
        alt="avatar"
        style={{ width: size, height: size, objectFit: "contain" }}
      />
      {status && (
        <span className="w-1.5 h-1.5 rounded-full bg-green-500"></span>
      )}
    </div>
  );
}

export default Avatar;
