import React from "react";
import Loading from "../Loading";

export default function Button({
  title,
  backgroundColor,
  color,
  border,
  width,
  bgOpacity,
  onClick,
  selectable,
  active,
  borderType,
  loading,
  disabled,
}) {
  return (
    <button
      className={`rounded-md flex py-3.5 justify-center text-base lg:text-tiny ${
        disabled ? "cursor-not-allowed" : "cursor-pointer"
      } font-bold lg:py-4 ${
        selectable ? (active ? "bg-black" : backgroundColor) : backgroundColor
      } ${selectable ? (active ? "text-blueC0" : color) : color} ${
        selectable ? (active ? "bg-blueC0 bg-opacity-5" : bgOpacity) : bgOpacity
      } `}
      style={{
        border: `${
          selectable ? (active ? "2px" : border.width) : border.width
        } ${borderType ? borderType : "solid"} ${
          selectable ? (active ? "#12CF7F" : border.color) : border.color
        }`,
        width: width,
      }}
      onClick={() => onClick()}
    >
      {loading ? <Loading size={4} color="bg-green-800" /> : title}
    </button>
  );
}

Button.defaultProps = {
  color: "",
};
