import React from "react";
import "./index.css";

export default function Checkbox(props) {
  return (
    <div>
      <svg className="checkbox-symbol">
        <symbol id="check" viewBox="0 0 12 10">
          <polyline
            points="1.5 6 4.5 9 10.5 1"
            strokeLinecap="round"
            strokeLinejoin="round"
            strokeWidth="2"
          ></polyline>
        </symbol>
      </svg>

      <div className="checkbox-container">
        <input
          className="checkbox-input"
          name={props.name}
          id={"ch" + props.name}
          type="checkbox"
          checked={props.checked}
          onClick={props.onclick}
          onChange={props.onChange}
        />
        <label className="checkbox" htmlFor={"ch" + props.name}>
          <span>
            <svg width="12px" height="10px">
              <use xlinkHref="#check"></use>
            </svg>
          </span>
        </label>
      </div>
    </div>
  );
}
