import React, { useState } from "react";

import blackDisLikeIcon from "./black-dislike-icon.svg";
import blackLikeIcon from "./black-like-icon.svg";

const Counter = ({ incrementIcon, decrementIcon, flex, value }) => {
  const [count, setCount] = useState(value);

  return (
    <div className={`flex ${flex} items-center`}>
      <img
        src={incrementIcon}
        alt=""
        className="w-8 cursor-pointer pointer transition delay-150 duration-300 ease-in-out transform hover:-translate-y-2"
        onClick={() => setCount(count + 1)}
      />
      <span
        className={`text-sm sm:text-base md:text-2xl font-bold text-color ${flex === 'flex-col' ? 'my-2' : 'mx-2'}`}
        style={count > 0 ? { color: "green" } : { color: "red" }}
      >
        {count}
      </span>
      <img
        src={decrementIcon}
        alt=""
        className="w-8 cursor-pointer transition delay-150 duration-300 ease-in-out transform hover:translate-y-2"
        onClick={() => setCount(count - 1)}
      />
    </div>
  );
};

export default Counter;

Counter.defaultProps = {
  incrementIcon: blackLikeIcon,
  decrementIcon: blackDisLikeIcon,
  flex: "flex-col",
  value: 0
};
