import React from "react";
import { connect } from "react-redux";

export const Empty = ({ text, buttonText, buttonAction }) => {
  return (
    <div
      className="flex-1 flex flex-col justify-center items-center "
      style={{ minHeight: "calc(100vh - 120px)" }}
    >
      <strong className="text-lg font-bold text-gray1">{text}</strong>
      {buttonText && (
        <button
          className="transform translate-y-7 py-2 px-6 text-base rounded-md bg-blueC0 text-white cursor-pointer"
          onClick={() => buttonAction()}
        >
          {buttonText}
        </button>
      )}
    </div>
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(Empty);
