import React from "react";
import { connect } from "react-redux";

//assets
import plusIcon from "./plus.svg";

export const FloatingButton = ({ action, position, icon, size }) => {
  return (
    <button
      onClick={() => action()}
      className={`fixed bg-blueC0 rounded-full w-${size} h-${size} transform transition-all hover:scale-110 active:scale-90 flex justify-center items-center shadow-xl z-10`}
      style={position}
    >
      <img
        src={icon}
        alt=""
        style={{
          transform: "translateX(-0px) translateY(1px)",
          width: size * 1.3,
        }}
      />
    </button>
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(FloatingButton);

FloatingButton.defaultProps = {
  icon: plusIcon,
  size: 14,
};
