import React from "react";
import { Link } from "react-router-dom";
import _ from "lodash";

import enamadlogo from "./enamad-pic.svg";
import callIcon from "../../assets/icons/vuesax-linear-call-calling.svg";
import samandehi from "./samandehi-pic.svg";
import iosIcon from "./IOS.svg";
import bazarIcon from "./Bazar.svg";

const FooterDesign1 = ({ color, bg, items, hasHeader }) => {
  const enamad =
    '<a referrerpolicy="origin" target="_blank" href="https://trustseal.enamad.ir/?id=224965&amp;Code=x8oNSO7tTnqAniyPpPyN"><img referrerpolicy="origin" src="https://Trustseal.eNamad.ir/logo.aspx?id=224965&amp;Code=x8oNSO7tTnqAniyPpPyN" alt="" style="cursor:pointer" id="x8oNSO7tTnqAniyPpPyN"></a>';
  return (
    <>
      {hasHeader ? (
        <div className=" bg-gray-100 w-full z-20">
          <div className="w-11/12 mx-auto flex items-center justify-between py-6 text-blue52">
            <div className="flex items-center">
              <div className="flex items-center ml-8 ">
                <img src={callIcon} className="p-2" />
                <div>
                  <h1 className="text-2xl mb-4 font-bold">
                    <span className=" text-blueC0 font-black">7</span>
                    {window.t("روز هفته")}
                    <span className="text-blueC0 font-black">24</span>
                    {window.t("ساعته")}
                  </h1>
                  <p className="text-lg font-light text-blue5F">
                    {window.t("منتظر شنیدن صدای گرمتان هستیم")}
                  </p>
                </div>
              </div>
              <div className="mr-8 text-lg flex flex-col font-black transform translate-y-0.5">
                <a href="tel:654412 021" className="text-left mb-5">
                  654412 021
                </a>
                <a href="mailto:Info@danovin.ir">Info@danovin.ir</a>
                {/* <a href="https://info@danovin.ir">Info@danovin.ir</a> */}
              </div>
            </div>
            <div className="flex items-center">
              {/* <img src={iosIcon} alt="" className="cursor-pointer" /> */}
              <a
                href="http://danovin.ir/app.apk"
                download
                className="py-4 px-5 text-base font-bold rounded-md bg-blueC0 transition-all transform hover:scale-110 text-white"
              >
                {window.t("دانلود اپلیکیشن اندروید")}
              </a>
            </div>
          </div>
        </div>
      ) : null}
      <footer
        className={`flex flex-col bg-gray-200 py-16 md:flex-row justify-around items-start md:items-start relative shadow-md z-20 ${bg}`}
      >
        <div className="w-11/12 flex justify-between">
          <div className="flex flex-row gap-10">
            {items.map((item, index) => (
              <div className="flex flex-col" key={index}>
                <strong className="text-xl text-gray70">{item.name}</strong>
                <ul className="flex flex-col mt-0">
                  {item.links.map((link, index) => (
                    <li className="mt-6" key={index}>
                      <Link
                        className="text-gray70 text-base "
                        to={link.link}
                        key={index}
                      >
                        {link.name}
                      </Link>
                    </li>
                  ))}
                </ul>
              </div>
            ))}
          </div>
          <div className="flex items-center justify-between mt-10 md:mt-0">
            {window.location.host === "www.danovin.ir" ? (
              <div
                dangerouslySetInnerHTML={{
                  __html: enamad,
                }}
                className="w-28 p-2 rounded-md bg-gray-300 mx-6"
              ></div>
            ) : (
              <img src={enamadlogo} alt="" className="w-32" />
            )}
            <img
              src={samandehi}
              alt=""
              className="w-32 p-2 rounded-md bg-gray-300 mr-6"
            />
          </div>
        </div>
        {/* line
      <img
        src={lightBlueLine}
        alt=""
        className="hidden sm:block absolute bottom-5 left-20"
      /> */}
      </footer>
    </>
  );
};

export default FooterDesign1;

FooterDesign1.defaultProps = {
  items: [
    {
      name: window.t("لینک‌های اصلی"),
      links: [
        {
          name: window.t("فروشگاه"),
          link: "/products",
        },
        {
          name: window.t("درباره‌ما"),
          link: "/about-us",
        },
        {
          name: window.t("پرسش‌های متداول"),
          link: "/faq",
        },
      ],
    },
    {
      name: window.t("خدمات مشتریان"),
      links: [
        {
          name: window.t("شرایط و ضوابط استفاده"),
          link: "#",
        },
        {
          name: window.t("راهنمای خرید"),
          link: "#",
        },
        {
          name: window.t("همکاری تجاری"),
          link: "#",
        },
      ],
    },
    {
      name: window.t("کاربری"),
      links: [
        {
          name: window.t("حساب کاربری"),
          link: "#",
        },
        {
          name: window.t("سبد خرید"),
          link: "/cart",
        },
        {
          name: window.t("داشبورد کاربری"),
          link: "/dashboard",
        },
      ],
    },
    {
      name: window.t("رضایت مشتریان"),
      links: [
        {
          name: window.t("رسیدگی به شکایات"),
          link: "/contact-us",
        },
        {
          name: window.t("پیگیری سفارشات"),
          link: "/orders",
        },
      ],
    },
  ],

  bg: "bg-white",
  color: "text-gray-600",
  hasHeader: true,
};
