import React from "react";
import { Link } from "react-router-dom";
import { connect } from "react-redux";
import arrowGreenIcon from "../../assets/icons/dropdown-blue.svg";
import arrowWhiteIcon from "../../assets/icons/arrow-left-white.svg";

function Header({ title, link, isDark }) {
  return (
    <header className="w-full flex flex-row justify-between items-center pl-0">
      <strong className="text-green7B dark:text-white font-semibold text-base lg:text-sm">
        {title}
      </strong>
      <Link to={link} className="ml-2">
        {isDark ? (
          <img
            src={arrowWhiteIcon}
            alt=""
            className={`transform ${"w-6"}`}
          />
        ) : (
          <img
            src={arrowGreenIcon}
            alt=""
            className={`transform rotate-90 w-2}`}
          />
        )}
      </Link>
    </header>
  );
}

const mapStateToProps = (state) => ({
  isDark: state.publicApi.isDark,
});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(Header);
