import React, { useRef } from "react";
import JoLPlayer from "jol-player";

function Video({ fileIds, posterId }) {
  const videoRef = useRef(null);

  return (
    <div
      style={{
        direction: "ltr",
        textAlign: "left",
        marginBottom: 10,
        zIndex: 10,
      }}
      id="video-joi"
    >
      <JoLPlayer
        ref={videoRef}
        option={{
          videoSrc: `https://dnvn.ir/api/v1/file/${fileIds}`,
          width: "100%",
          height:
            window.innerWidth > 1024
              ? window.innerHeight - 300
              : Math.round(window.innerHeight / 3.6),
          theme: "#4dd35b",
          language: "en",
          isShowMultiple: window.innerWidth > 700,
          hideMouseTime: 10000,
          isShowPicture: true,
          isShowFullScreen: false,
          isShowSet: false,
          isShowScreenshot: window.innerWidth > 700,
          // isShowSet : false,
          isShowPauseButton: false,
          poster: `https://dnvn.ir/api/v1/file/${posterId}`,
          quality: [
            {
              name: "SD",
              url: `https://dnvn.ir/api/v1/file/${fileIds}`,
            },
          ],
          isShowWebFullScreen: false,
          // auto : true
        }}
      />
    </div>
  );
}

export default Video;
