import React from "react";
import { connect } from "react-redux";
import { publicApi } from "../../redux/actions";

export const OverLayer = ({ setOverLayer, overLayer }) => {
  const click = (e) => {
    setOverLayer(false);
    e.stopPropagation();
  };
  return (
    overLayer && (
      <div
        className="z-20 w-screen  h-full fixed top-0 right-0 backdrop-filter blur-sm bg-opacity-60 bg-gray-600"
        onClick={(e) => click(e)}
      ></div>
    )
  );
};

const mapStateToProps = (state) => ({
  overLayer: state.publicApi.overLayer,
});

const mapDispatchToProps = {
  setOverLayer: publicApi.setOverLayer,
};

export default connect(mapStateToProps, mapDispatchToProps)(OverLayer);
