import React from "react";
import { useState } from "react";

const ProductDescription = ({ navTitles, items, addToCart }) => {
  const [name, setName] = useState(navTitles[0].name);
  const [type, setType] = useState([]);
  return (
    <>
      <div className="flex w-full rounded  bg-gray-200 justify-center mt-6 ">
        <ul className="w-full flex justify-center">
          {navTitles.map((item, index) => (
            <li
              key={index}
              className={`p-6 mx-4 cursor-pointer
                     ${
                       type[item.id]
                         ? "border-0 border-b-4 border-solid border-blue-500"
                         : null
                     }`}
              onClick={() => {
                setName(item.name);
              }}
            >
              {item.title}
            </li>
          ))}
        </ul>
      </div>
      <div className="flex w-full ">
        <div className="flex-1 ">
          {items.map((item, index) =>
            item.name == name
              ? item.items.map((item, index) => (
                  <ul
                    className="flex w-full flex-1 my-2 items-center"
                    key={index}
                  >
                    {item.title ? (
                      <li
                        className="py-4 px-8  min-w-md bg-gray-200 ml-4 text-blueC0"
                        style={{ minWidth: "300px" }}
                      >
                        {item.title}
                      </li>
                    ) : null}
                    <li className="py-4 px-8  min-w-md bg-gray-200 ml-4 w-full">
                      {item.description}
                    </li>
                  </ul>
                ))
              : null
          )}
        </div>
        <div className="my-2">{addToCart}</div>
      </div>
    </>
  );
};

export default ProductDescription;

ProductDescription.defaultProps = {
  navTitles: [
    {
      id: 0,
      title: window.t("مشخصات"),

      isActive: true,
      name: "moshakhasat",
    },
    {
      id: 1,
      title: window.t("نقد و بررسی"),

      isActive: false,
      name: "review",
    },
    {
      id: 2,
      title: window.t("برسش و باسخ"),

      isActive: false,
    },
  ],
  items: [
    {
      name: "moshakhasat",
      items: [
        {
          title: window.t("نوع تعداد وزن کتاب"),
          description: window.t("۱ کیلوگرم"),
        },
        {
          title: window.t("نوع تعداد صفحات"),
          description: window.t("400 صفحه"),
        },
        {
          title: window.t("نوع کاغذ"),
          description: window.t("گلاسه"),
        },
        {
          title: window.t("شماره شابک"),
          description: window.t("1225548218000005818765"),
        },
        {
          title: window.t("انتشارات"),
          description: window.t("رزمندگان"),
        },
        {
          title: window.t("نویسنده و یا معلف"),
          description: window.t("یک نویسنده گمنام"),
        },
        {
          title: window.t("قطع"),
          description: window.t("خشتی"),
        },
        {
          title: window.t("سال انتشار"),
          description: "1399",
        },
      ],
    },
    {
      name: "review",
      items: [
        {
          description: window.t("لورم ایبسوم"),
        },
      ],
    },
  ],
};
