import React, { useState, useEffect } from "react";

import "./index.scss";

const ProductImage = ({ images }) => {
  const [list, setList] = useState([]);
  const [activeImage, setActiveImage] = useState(null);
  useEffect(() => {
    if (images) {
      let mylist = images?.split(",");
      setList(() => mylist);
      setActiveImage(() => mylist[0]);
    }
  }, [images]);
  return (
    <div className="flex flex-row w-1/3 gap-2">
      <div
        className="flex flex-col items-center justify-between w-1/5"
        style={{ height: "calc(100vw / 5)" }}
      >
        {list?.slice(0, 4)?.map((image, index) => (
          <div
            key={index}
            className={`relative flex justify-center items-center ${
              activeImage === image ? "bg-green-200" : "bg-gray-200"
            }`}
            style={{
              width: "calc(100vw / 5 / 4 - 4px)",
              height: "calc(100vw / 5 / 4 - 4px)",
            }}
            onClick={() => setActiveImage(image)}
          >
            <img
              key={index}
              src={`https://dnvn.ir/api/v1/file/${image}`}
              alt=""
              className={`rounded-sm w-full h-full`}
              style={{
                width: "calc(100vw / 5 / 4 * 2 / 3 - 12px)",
                height: "calc(100vw / 5 / 4 - 12px)",
              }}
              // style={{ height: "calc(100% - 8px)" }}
            />
            {/* این خط پایین که نوشتم برای این است که ایندکس که جنسش استرینگ است رو به نامبر تبدیل کند */}
            {Number(index) === 3 && (
              <div className="absolute w-full h-full bg-black bg-opacity-30 left-0 top-0 flex justify-center items-center text-white">
                <strong>+ {images.length - 3}</strong>
              </div>
            )}
          </div>
        ))}
      </div>
      <div
        className="rounded-md bg-gray-200 flex justify-center items-center"
        style={{ height: "calc(100vw / 5)", width: "calc(100vw / 5)" }}
      >
        <img
          src={`https://dnvn.ir/api/v1/file/${activeImage}`}
          alt=""
          style={{
            height: "calc(100vw / 5.5)",
            width: "calc(100vw / 5.5 * 2 / 3)",
          }}
        />
      </div>
    </div>
  );
};

export default ProductImage;
