import React, { useState } from "react";

const persian = {
  weight: window.t("وزن"),
  pageNumber: window.t("تعداد صفحات"),
  pageType: window.t("نوع کاغذ"),
  bookNumber: window.t("شماره شابک"),
  publisher: window.t("انتشارات"),
  author: window.t("نویسنده"),
  bookType: window.t("قطع"),
  publishedYear: window.t("سال انتشار"),
};

const Table = ({ specifications }) => {
  return (
    <ul className={`w-full`}>
      {Object.keys(specifications).map((specification, index) => (
        <li className={`flex my-3 cursor-pointer group`} key={index}>
          <div
            className={` bg-grayF9 rounded px-3 py-4 ml-2 text-greenBA text-sm group-hover:bg-blueC0 group-hover:bg-opacity-10`}
            style={{ flex: 2 }}
          >
            {persian[specification]}
          </div>
          <div
            className={`bg-grayF9 rounded px-3 py-4 text-sm group-hover:bg-blueC0 group-hover:bg-opacity-10`}
            style={{ flex: 8 }}
          >
            {specifications[specification]}
          </div>
        </li>
      ))}
    </ul>
  );
};

export default Table;

Table.defaultProps = {
  specifications: {
    weight: window.t("1 کیلوگرم"),
    pageNumber: window.t("400 صفحه"),
    pageType: window.t("گلاسه"),
    bookNumber: window.t("124900985340561870112312499"),
    publisher: window.t("رزمندگان"),
    author: window.t("یک نویسنده گمنام"),
    bookType: window.t("خشتی"),
    publishedYear: window.t("1399"),
  },
};
