import React, { useMemo } from "react";
import StarRatingComponent from "react-star-rating-component";
import { userVote, userProduct } from "../../redux/actions";
import { connect } from "react-redux";
import location from "../../utils/location";

//assets
import starGrayIcon from "../../assets/icons/starGray.svg";
import starYellowIcon from "../../assets/icons/starYellow.svg";

function StarRating({
  value,
  size,
  addVote,
  userProducts,
  getUserProducts,
  isLogin,
}) {
  const [rate, setRating] = React.useState(null);

  useMemo(() => {
    //console.log("gl2");
    //  if (isLogin && !userProducts.length) getUserProducts();
  }, []);

  React.useEffect(() => {
    if (rate) {
      addVote({ productId: location.getId(), rate });
    }
  }, [rate]);

  const isBuyer =
    userProducts?.filter(
      (product) => product?.condition > 1 && product?.id === location.getId()
    ).length > 0;

  return (
    <StarRatingComponent
      name="rate1"
      onStarClick={(value) =>
        isBuyer
          ? setRating(value)
          : addVote({ productId: location.getId(), rate: value })
      }
      renderStarIcon={(index, value) => {
        if (index <= value) {
          return (
            <img
              src={starYellowIcon}
              className={size == "small" ? "w-3" : "w-5"}
            />
          );
        }
        return (
          <img src={starGrayIcon} className={size == "small" ? "w-3" : "w-5"} />
        );
      }}
      value={isBuyer ? rate || value : value || 0}
      // onStarHover={(value) => setRating(value)}
    />
  );
}

const mapStateToProps = (state) => ({
  userProducts: state.userProduct.list,
  isLogin: state.user.status,
});

const mapDispatchToProps = {
  addVote: userVote.add,
  getUserProducts: userProduct.list || [],
};

export default connect(mapStateToProps, mapDispatchToProps)(StarRating);
