import proxy from "../proxy";

const publicApi = {
  setOverLayer: (data) => async (dispatch) =>
    await dispatch({ type: "public/setOverLayer", data }),
  setDesktopContentTransform: (data) => async (dispatch) =>
    await dispatch({ type: "public/setDesktopContentTransform", data }),
  setHeaderOptions: (data) => async (dispatch) =>
    await dispatch({ type: "public/setHeaderOptions", data }),
  setIsDark: (data) => async (dispatch) =>
    await dispatch({ type: "public/setIsDark", data }),
  getHomeData: (data) => async (dispatch) =>
    await proxy.get("public/homePage", data, { dispatch }),

  setFaqActive: (data) => async (dispatch) =>
    await dispatch({ type: "public/faq/activate", data }),
  bookInfo:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.get("public/vod/bookCourse", data, { dispatch });
      await proxy.get("book/info", data2, { dispatch });
    },
  bookSection:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/vod/bookSection", data, { dispatch }),
  getContactData:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/contact", data, { dispatch }),
  setSubscribe: (data) => async (dispatch) =>
    await dispatch({ type: "public/setSubscribe", data }),
  getProvince:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/province", data, { dispatch }),
  getCity:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/city", data, { dispatch }),
  selectMenu: (data) => async (dispatch) =>
    await dispatch({ type: "public/selectMenu", data }),
  getHeader:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/VOD/homePage", data, { dispatch }),
  activeCategory: (data) => async (dispatch) =>
    await dispatch({ type: "active/category", data }),
  setVideoActive: (data) => async (dispatch) =>
    await dispatch({ type: "active/video", data }),
  getArList: (data) => async (dispatch) =>
    await proxy.get("public/ar", data, { dispatch }),
  setDashboardOptions: (data) => async (dispatch) =>
    await dispatch({ type: "public/dashboard", data }),
};

export default publicApi;
