import { toast } from "react-toastify";

const initialState = {
  loading: false,
  error: null,
  list: [],
  info: null,
  hashtags : [],
  active: null,
};
export default function blog(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "public/blogList":
      return {
        ...state,
        loading: false,
        list: data,
        hashtags: [...new Set(data.map((object) => object.tag))],
        error: null,
      };
    case "public/active":
      return {
        ...state,
        active : data,
        loading: false,
        error: null,
      };
    case "public/blogInfo":
      return { ...state, loading: false, error: null, blog: data };
    case "news/LetterAdd":
      toast.success('.به خبرنامه دانوین خوش آمدید');
      return { ...state, loading: false, error: null };
    case "blog/loading":
      return { ...state, loading: true };
    case "blog/error":
      toast.error(data.message);
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
