import { toast } from "react-toastify";

const initialState = {
  loading: false,
  error: null,
  ticket: {},
};
export default function form(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "form/ticket":
      return {
        ...state,
        loading: false,
        ticket: { ...state.ticket, [data.name]: data.value },
        error: null,
      };
    case "form/ticket/reset":
      return { ...state, ticket: {} };
    case "form/loading":
      return { ...state, loading: true };
    case "form/error":
      toast.error(data.message);
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
