import {toast} from 'react-toastify';

const initialState = {
  loading: false,
  error: null,
};
export default function userVote(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "userVote/list":
      return {
        ...state,
        loading: false,
        error: null,
      };
    case "userVote/update":
      return { ...state, loading: false, error: null };
    case "userVote/add":
      toast.success('رای شما با موفقیت ثبت شد.');
      return { ...state, loading: false, error: null };
    case "userVote/delete":
      return { ...state, loading: false, error: null };
    case "userVote/loading":
      return { ...state, loading: true };
    case "userVote/error":
      toast.error(data.message);
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}