import React, { useEffect } from "react";
import { connect } from "react-redux";
import notFoundImage from "./404.svg";
import { publicApi } from "../../redux/actions";

function NotFound({ setHeaderOptions, isMobile }) {
  useEffect(() => {
    setHeaderOptions({ shown: true, back: true });
  }, []);
  return (
    <div
      className="w-full flex transform justify-center items-center flex-col bg-transparent px-4"
      style={{
        height: isMobile ? "calc(100vh - 100px)" : "calc(100vh)",
      }}
    >
      <h1
        className="dark:text-white text-5xl font-semibold"
        style={{ fontFamily: "tahoma" }}
      >
        404
      </h1>
      <img src={notFoundImage} alt="404" className="mt-10" />
      <p className="text-base dark:text-white mt-12 leading-7">
        {window.t("اوه!!")}
        <br />
        {window.t("دوست من، اشتباه اومدی")}
      </p>
    </div>
  );
}

const mapStateToProps = (state) => ({
  isMobile: state.publicApi.isMobile,
});

const mapDispatchToProps = {
  setHeaderOptions: publicApi.setHeaderOptions,
};
export default connect(mapStateToProps, mapDispatchToProps)(NotFound);
