import React, { useEffect } from "react";
import { connect } from "react-redux";
import { publicApi } from "../../redux/actions";
import Book from "./layouts/Book";

function AR({ getArList, arList, headerOptions, setHeaderOptions }) {
  useEffect(() => {
    setHeaderOptions({
      logo: true,
      hamburgerMenu: true,
      qr: true,
      title: false,
      back: false,
      shown: true,
      menu: false,
    });
    getArList();
  }, []);

  return (
    <div className="flex flex-wrap justify-between flex-1 gap-4 px-4 lg:w-1/2 lg:min-h-screen lg:py-24 lg:mx-auto">
      {arList.length > 0 &&
        arList.map((book, index) => <Book book={book} key={index} />)}
    </div>
  );
}

const mapStateToProps = (state) => ({
  arList: state.publicApi.arList,
});

const mapDispatchToProps = {
  getArList: publicApi.getArList,
  setHeaderOptions: publicApi.setHeaderOptions,
};

export default connect(mapStateToProps, mapDispatchToProps)(AR);
