import React, { Fragment, useEffect } from "react";
import _ from "lodash";
import { connect } from "react-redux";
import { publicApi } from "../../redux/actions";

import "./index.scss";

//assets
import pic from "./pic.png";
import aboutLg from "./about-lg.png";

function About({
  fury,
  advantages,
  keywords,
  keywords2,
  first,
  setHeaderOptions,
}) {
  useEffect(() => {
    setHeaderOptions({ shown: true });
  }, []);

  useEffect(() => {
    window.scrollTo(0, 0);
  }, []);

  return (
    <div className={_.join(["about w-11/12 mx-auto flex flex-col"], " ")}>
      <main className="flex flex-col items-center pt-16 ">
        <header>
          <h1>{first.title}</h1>
          <p
            style={{
              lineHeight: 2,
            }}
          >
            {first.text}
          </p>
        </header>
        <div className="linegr" style={{ width: "100%", height: "4px" }}></div>
        <div className="about__fury flex">
          <div className="about__fury--right flex flex-col justify-center">
            <div className="right-top self-start">
              <h1>{fury.title}</h1>
              <p>{fury.text}</p>
            </div>
            <div className="right-bottom self-start">
              <h2>{keywords.title}</h2>
              <ul>
                {/* {keywords.list.map((item, i) => (
                  <Fragment key={i}>
                    <li style={{ padding: 5 }}>{item}</li>
                  </Fragment>
                ))} */}
                {keywords2.list.map((item, i) => (
                  <Fragment key={i}>
                    <li
                      style={{
                        padding: 5,
                      }}
                    >
                      {item}
                    </li>
                  </Fragment>
                ))}
              </ul>
            </div>
            <div className="right-bottom self-start">
              <h2>{keywords2.title}</h2>
              <ul>
                {keywords2.list.map((item, i) => (
                  <Fragment key={i}>
                    <li
                      style={{
                        padding: 5,
                      }}
                    >
                      {item}
                    </li>
                  </Fragment>
                ))}
              </ul>
            </div>
          </div>
          <div className="about__fury--left flex items-center">
            <img src={aboutLg} alt={window.t("عکس")} />
            {/* {this.props.absoluteImages.map((item, i) => (
                      <img src={item.imageUrl} className={item.class} alt="عکس" />
                    ))} */}
          </div>
        </div>
        <div className="about__advantages flex">
          <div className="about__advantages--right flex">
            <img src={pic} alt={window.t("مزیت رقابتی")} />
          </div>
          <div className="about__advantages--left">
            <h1>{advantages.title}</h1>
            <ul>
              {advantages.list.map((item, i) => (
                <Fragment key={i}>
                  <li style={{ padding: 5 }}>{item}</li>
                </Fragment>
              ))}
            </ul>
          </div>
        </div>
      </main>
    </div>
  );
}

const mapStateToProps = (state) => ({});

const mapDispatchToProps = {
  setHeaderOptions: publicApi.setHeaderOptions,
};

export default connect(mapStateToProps, mapDispatchToProps)(About);

About.defaultProps = {
  first: {
    title: window.t("درباره ما ؟"),
    text: window.t(
      "ما در دانوین با هدف ایجاد زیرساخت تعاملی و آموزشی با تولید محتوایی جذاب بصورت کتاب با کمک پلتفرم دانوین، قصد تغییراتی بنیادین در نظام آموزش و پرورش کشور داریم. دانوین پلتفرمی شامل کتاب، محتوای الکترونیکی، رویه های آموزشی، پشتیبانی علمی و نرم افزار ارائه خدمات با رویکرد مخاطب محور است."
    ),
  },

  fury: {
    title: window.t("ماموریت ما در  دانوین چیست ؟"),
    text: window.t(
      "ارتقای سطح کیفیت و جذابیت آموزش در مدارس بصورت سازگار با نظام رسمی و کنونی آ.پ در راستای نیل به اهداف سند تحول"
    ),
  },

  keywords: {
    title: window.t("کیفیت آموزش را بالا میبریم"),
    text: [
      window.t(
        "شایستگی در ایجاد فهم علمی در موضوع هدف و در موضوعات وابسته به آن"
      ),
      window.t(
        "شایستگی در ایجاد فهم علمی در موضوع هدف و در موضوعات وابسته به آن"
      ),
    ],
  },

  keywords2: {
    title: window.t("جذابیت کلید بهبود یادگیری"),
    list: [
      window.t(
        "بکارگیری عوامل متنوع سازگار با ارزشها برای علاقمندی دانش آموز و معلم به استفاده از محتوای دانوین"
      ),
      window.t(
        "سازگار با نظام آ.پ : بطوریکه بتواند در مدارس فعلی مورد استفاده قرار گرفته و با نظام رسمی فعلی در تضاد نباشد"
      ),
      window.t(
        "در راستای نیل به سند تحول : تلاش برای نزدیکی گام به گام به آرمانها و اهداف سند تحول"
      ),
    ],
  },

  advantages: {
    title: window.t("مزیت رقابتی دانوین"),
    list: [
      window.t(
        "بکارگیری بروز ترین تکنولوژی های تولید و مدیریت محتوای آموزشی-تربیتی (مانند واقعیت افزوده)"
      ),
      window.t("دارای رویکرد آموزش سرگرم کننده"),
      window.t("بستر تعاملی و اشتراک گذاری فیلم و محتوای آموزشی"),
      window.t("رویکرد معرفتی-ارزشی"),
      window.t("ویدئو های منحصر بفرد"),
      window.t("متن گفتگو محور ، روایی ، قابل فهم ،جذاب و سرگرم کننده"),
    ],
  },
};
