import React, { useState, useEffect } from "react";
import SignUp from "./SignUp/index";
import Profile from "./Profile/index";
import Desktop from "./Desktop";
import { connect } from "react-redux";

function Auth(props) {
  const [page, setPage] = useState(props.page);
  useEffect(() => {
    setPage(() => props.page);
  }, [props.page]);
  return props.isMobile ? (
    <>
      {page === "signup" && (
        <SignUp theme={props.theme} headerOptions={props.headerOptions} />
      )}
      {page === "profile" && <Profile theme={props.theme} />}
    </>
  ) : <Desktop />
}

export default connect((state) => ({
  theme: state.publicApi.theme,
  isMobile: state.publicApi.isMobile
}))(Auth);
