import React from "react";
import { connect } from "react-redux";

//assets
import arrowIcon from "../arrow.svg";

export const Hashtags = ({ hashtags }) => {
  return (
    <div className="flex py-3 px-2 rounded-full border-2 border-green-50 dark:border-opacity-20 shadow-sm border-solid items-center w-full mb-7 overflow-x-scroll no-scrollbar">
      <img src={arrowIcon} alt="" className="w-7" />
      <ul className="list-none flex justify-around items-center lg:flex-1 lg:ml-0 ml-4">
        {hashtags.map((hashtag, index) => (
          <li className="text-tiny font-semibold cursor-pointer mx-4  lg:px-0 flex-1">
            {hashtag}
          </li>
        ))}
      </ul>
    </div>
  );
};

const mapStateToProps = (state) => ({
  hashtags: state.blog.hashtags,
});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(Hashtags);
