import React from "react";
import { connect } from "react-redux";

import "./index.scss";

function Document({ onChange, name, value, isMobile }) {
  return (
    <>
      {isMobile ? (
        <div className="support__document flex justify-center items-center mb-3">
          <input
            type="file"
            name={name}
            onChange={(e) => onChange(e.target.name, e.target.files[0])}
          />
          {value ? (
            <span
              style={{
                width: "100%",
                textAlign: "center",
                margin: "auto",
              }}
            >
              {value?.name || window.t("تصویر بارگزاری شد")}
            </span>
          ) : (
            <span>{window.t("در صورت نیاز تصویر مرتبط را انتخاب کنید.")} </span>
          )}
        </div>
      ) : (
        <div className="support__document flex justify-center items-center">
          <input
            type="file"
            name={name}
            onChange={(e) => onChange(e.target.name, e.target.files[0])}
          />{" "}
          {value ? (
            <span
              style={{
                width: "100%",
                textAlign: "center",
                margin: "auto",
              }}
            >
              {value?.name || window.t("فایل ثبت شد")}
            </span>
          ) : (
            <span
              style={{
                width: "100%",
                textAlign: "center",
                margin: "auto",
              }}
            >
              {window.t("در صورت نیاز تصویر مرتبط را انتخاب کنید.")}
            </span>
          )}
        </div>
      )}
    </>
  );
}

const mapStateToProps = (state) => ({
  isMobile: state.publicApi.isMobile,
});

export default connect(mapStateToProps)(Document);
