import React, { useState, useEffect } from "react";
import { connect } from "react-redux";
import { publicApi } from "../../redux/actions";

//components
import Sidebar from "./layouts/SidebarMenu";
import Main from "./layouts/Main";
import User from "./layouts/Mobile/User";
import Trophy from "./layouts/Mobile/Trophy";
import List from "./layouts/Mobile/List";

export const Dashboard = ({ isMobile, headerOptions, setHeaderOptions }) => {
  const [page, setPage] = useState(
    localStorage?.getItem("dashboard") || "userItems"
  );

  useEffect(() => {
    setHeaderOptions(headerOptions);
  }, []);

  useEffect(() => {
    localStorage.setItem("dashboard", page);
  }, [page]);

  return isMobile ? (
    <div className="flex-1 flex flex-col px-4">
      <User />
      <Trophy />
      <List />
    </div>
  ) : (
    <div className="w-full">
      <div className="gap-5 w-full h-screen pt-20 mx-auto flex flex-row bg-transparent justify-end">
        <Sidebar page={page} setPage={setPage} />
        <Main page={page} />
      </div>
    </div>
  );
};

const mapStateToProps = (state) => ({
  isMobile: state.publicApi.isMobile,
});

const mapDispatchToProps = {
  setHeaderOptions: publicApi.setHeaderOptions,
};

export default connect(mapStateToProps, mapDispatchToProps)(Dashboard);
