import React from "react";
import { Link } from "react-router-dom";
import { Carousel } from "@trendyol-js/react-carousel";
import Product from "../../../../../../components/Product";
import arrow from "../../../../../../assets/icons/dropdown-blue.svg";

function Suggestion({ products, grades, isMobile }) {
  return (
    <div className="flex flex-col pl-7 pr-8 pt-4 border border-solid border-gray-200 bg-blueC0 bg-opacity-5 shadow-all rounded-md w-full">
      <strong className="text-green7B dark:text-white font-bold text-2xl lg:text-base my-4">
        پیشنهادات ما به شما
      </strong>
      {products.length > 0 && (
        <div className="relative w-full" style={{ direction: "ltr" }}>
          <Carousel
            show={Math.round(window.innerWidth / 400)}
            slide={2}
            swiping={true}
            useArrowKeys={true}
            className=""
            transition={0.5}
            rightArrow={
              <img
                className="absolute top-1/2 transform -translate-y-1/2 cursor-pointer p-2 -rotate-90"
                src={arrow}
                alt=""
              />
            }
            leftArrow={
              <img
                className="absolute top-1/2 transform -translate-y-1/2 -translate-x-5 cursor-pointer rotate-90 p-2 -left-3"
                src={arrow}
                alt=""
              />
            }
          >
            {products.map((product, index) => (
              <Product key={index} product={product} imageSize={4.5} />
            ))}
          </Carousel>
        </div>
      )}
    </div>
  );
}

export default Suggestion;
