import React, {useEffect} from "react";
import { connect } from "react-redux";
import {book} from '../../../../../redux/actions';

import MyBooks from "../../../../Home/Portrait/Private/MyBooks";
import Videos from "../../../../Home/Portrait/Private/Videos";
import ProductSuggestion from './ProductSuggestion';

export const UserItems = ({list, grades, getList, isMobile}) => {
  useEffect(() => {
    if(list.length <= 0){
      getList();
    }
  },[]);
  return (
    <div className="w-full flex flex-col divide-y divide-solid divide-gray-100">
      <MyBooks books={list} grades={grades} />
      <br/>
      <Videos videos={list} grades={grades} />
      <ProductSuggestion products={list} grades={grades} isMobile={isMobile} />
    </div>
  );
};

const mapStateToProps = (state) => ({
  list : state.book.list,
  grades: state.publicApi.grades,
  isMobile: state.publicApi.isMobile
});

const mapDispatchToProps = {
  getList : book.list,
};

export default connect(mapStateToProps, mapDispatchToProps)(UserItems);