import React, { useState, useEffect, useMemo } from "react";
import { connect } from "react-redux";
import { publicApi } from "../../../../redux/actions";

import Orders from "../../../Orders";
import UserItems from "../Main/UserItems";
import MyBooks from "./MyBooks";
import Ticket from "../../../Contact/layouts/Ticket";
import Favorites from "../../../Favorites/index";
import Addresses from "./Addresses";
import Address from "../../../Address";

const views = {
  orders: <Orders />,
  mybooks: <MyBooks />,
  userItems: <UserItems />,
  setTicket: (
    <div className="w-1/2">
      <Ticket />
    </div>
  ),
  favorites: <Favorites />,
  addresses: <Addresses />,
  profile: <Address profilePage={true} />,
};

export const Main = ({ setHeaderOptions, page }) => {
  useEffect(() => {
    setHeaderOptions({ shown: true });
  }, []);

  return (
    <div
      className="overflow-y-scroll overflow-x-hidden flex-1 flex-shrink-0 no-scrollbar pl-5 pb-10 pt-4"
      style={{ height: "calc(100vh - 80px)" }}
    >
      {views[page]}
    </div>
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = {
  setHeaderOptions: publicApi.setHeaderOptions,
};

export default connect(mapStateToProps, mapDispatchToProps)(Main);
