import React from "react";
import { connect } from "react-redux";
import Avatar from "../../../../components/Avatar";

const User = ({ user, mobile }) => {
  const [dropdown, setDropdown] = React.useState(true);
  return (
    <div className={`w-full`}>
      <button
        className={`w-full mt-2 mb-2 flex flex-row justify-between items-center border-none`}
        onClick={() => setDropdown(!dropdown)}
      >
        <div className={`flex items-center flex-row`}>
          {user?.picFileIds ? (
            <img
              src={"https://dnvn.ir/api/v1/" + user.picFileIds}
              className={`rounded-full`}
              style={{ width: 70, height: 70 }}
            />
          ) : (
            <Avatar size={60} rounded={true} />
          )}
          <div className={`flex flex-col  mr-1`}>
            <strong className={`text-base font-semibold text-gray1`}>
              {/* {user?.firstName + " " + user?.lastName} */}
              {user.firstName === null
                ? ""
                : user.firstName + " " + user.lastName}
            </strong>
            <span className="mt-2 text-sm text-gray1">{user?.cellphone}</span>
          </div>
        </div>
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width={24}
          height={24}
          className={`transform ${dropdown ? "rotate-0" : "rotate-180"}`}
        >
          <path
            d="M6.08 15.82h11.84a1.077 1.077 0 0 0 .76-1.84L13.499 8.8a2.131 2.131 0 0 0-3.01 0l-1.97 1.97-3.21 3.21a1.082 1.082 0 0 0 .771 1.84Z"
            fill="#c6c6c6"
            data-name="vuesax/bold/arrow-down"
          />
        </svg>
      </button>
      <div
        className={`flex w-full pr-16 transition-all overflow-hidden ${
          dropdown ? "max-h-40" : "max-h-0"
        }`}
      >
        <div
          className={`flex items-center w-full pb-3 mb-3 flex-row border-b border-solid border-gray-100`}
        >
          <strong className="text-sm text-gray1">
            {window.t("افزودن حساب کاربری جدید")}
          </strong>
          <span className="mr-1 mt-1 text-xl text-gray1">+</span>
        </div>
      </div>
    </div>
  );
};

const mapStateToProps = (state) => ({
  user: state.user.status,
  mobile: state.publicApi.mobile,
});

export default connect(mapStateToProps)(User);

{
  /* <div
className={"rounded-full"}
style={{
  width: 70,
  height: 70,
  backgroundColor: "red",
}}
></div> */
}
