import React, { useState } from "react";
import { connect } from "react-redux";

//components
import ButtonBetween from "../../../components/ButtonBetween";

function TransportDate({ transportDate, isMobile }) {
  const [activeDate, setActiveDate] = useState(transportDate?.times[0]);

  const Time = ({ time }) => {
    return isMobile ? (
      <ButtonBetween
        item={time.time}
        status={"تکمیل ظرفیت"}
        width="100%"
        onClick={() => setActiveDate(time)}
        active={activeDate === time}
        toggle={true}
      />
    ) : (
      // <ButtonBetween
      //   item={time.time}
      //   status={"تکمیل ظرفیت"}
      //   width="100%"
      //   onClick={() => setActiveDate(time)}
      //   active={activeDate === time}
      //   toggle={true}
      // />
      <button
        className={`flex flex-col border border-solid items-center mx-1 px-3 py-4 rounded-md mt-4 relative transition-all duration-500 w-1/5 ${
          activeDate === time
            ? "bg-blueC0 bg-opacity-5 border-blueC0 dark:bg-opacity-5"
            : "bg-grayF9 border-grayDB dark:bg-opacity-5"
        }`}
        onClick={() => setActiveDate(time)}
        active={activeDate === time}
        toggle={true}
        status={"تکمیل ظرفیت"}
      >
        <strong
          className={`text-tiny transition-all duration-500 dark:text-white ${
            activeDate === time ? "text-green7B" : "text-blue52"
          }`}
        >
          {time.time}
        </strong>
        {time.status === "completed" && (
          <span
            className={`text-sm transition-all duration-500 dark:text-white mt-1 ${
              activeDate === time ? "text-green7B" : "text-blue52"
            }`}
          >
            {window.t("تکمیل ظرفیت")}
          </span>
        )}
      </button>
    );
  };

  return isMobile ? (
    <section className="mt-0 w-full">
      {/* <strong className="font-bold text-green7B dark:text-white lg:text-tiny">
        زمان ارسال را انتخاب کنید
      </strong>
      <ul className="list-none p-0 m-0 flex flex-row justify-between flex-wrap w-full gap-4 mt-4">
        {transportDate.times.map((time, index) => (
          <Time time={time} key={index} />
        ))}
      </ul> */}
    </section>
  ) : (
    <section className="mt-1 w-full">
      {/* <strong className="font-medium dark:text-white">
        زمان ارسال را انتخاب کنید
      </strong>
      <ul className="list-none p-0 m-0 flex flex-row flex-wrap w-full gap-2">
        {transportDate.times.map((time, index) => (
          <Time time={time} key={index} />
        ))}
      </ul> */}
    </section>
  );
}

const mapStateToProps = (state) => ({
  isDark: state.publicApi.isDark,
  isMobile: state.publicApi.isMobile,
});

export default connect(mapStateToProps)(TransportDate);
