import React from "react";
import { Link } from "react-router-dom";

//assets
import arrowLeftWhite from "../../../assets/icons/dropdown-blue.svg";

function NotFound({ title, subTitle, link }) {
  return (
    <Link
      to={link}
      className="flex flex-row items-center justify-between py-3.5 px-2 rounded-sm bg-blueC0 bg-opacity-10 mt-4 self-end lg:self-auto lg:ml-1/2 w-full lg:w-auto"
    >
      <div className="flex flex-col w-full lg:w-full">
        {title && <strong className="text-xs text-green4F text-opacity-70 lg:text-tiny">{title}</strong>}
        <span
          className={`text-xs text-green4F font-light lg:text-sm text-opacity-70 leading-5 ${title ? "mt-2 lg:mt-3" : ""}`}
        >
          {subTitle}
        </span>
      </div>
      <img src={arrowLeftWhite} alt="" className="w-6 lg:mr-6 transform rotate-90" />
    </Link>
  );
}

export default NotFound;
