import React from "react";

//assets
import arrow from "../../../assets/icons/dropdown-blue.svg";

function Question({ item, selectFaq }) {
  return (
    <div
      onClick={() => selectFaq(item.id)}
      className="w-full flex flex-col my-1.5 lg:mt-4 rounded-sm px-4 py-3 bg-blueC0 bg-opacity-10 dark:bg-opacity-5 lg:my-3 lg:py-5 cursor-pointer shadow-md"
      style={
        {
          // border: `1px ${!item.active ? "#DBDBDB99" : "#196EC0"} solid`
          // transition : 'all 0.5s'
        }
      }
    >
      <div className="flex flex-row justify-between items-center">
        <strong className="flex-1 text-green4F text-xs lg:text-tiny font-medium dark:text-white lg:text-green4F">
          {item.title}
        </strong>
        <img src={arrow} alt="" />
      </div>
      <div
        className={`w-full flex overflow-hidden`}
        style={{
          transition: "all 0.5s",
        }}
      >
        <p
          className={`text-right text-blueC0 lg:text-green4F text-xs dark:text-white lg:text-tiny lg:leading-6 ${
            item.active ? "h-auto opacity-100 pt-2" : "pt-0 h-0 opacity-0"
          }`}
          style={{
            transition: "all 0.5s",
          }}
        >
          {item.description}
        </p>
      </div>
    </div>
  );
}

export default Question;
