import React from "react";
import { connect } from "react-redux";
import { Carousel } from "@trendyol-js/react-carousel";
import arrow from "../../../../assets/icons/dropdown-blue.svg";
import { Link } from "react-router-dom";
import Product from "../../../../components/Product";

const Part2 = ({ books }) => {
  return (
    <div
      className="w-full my-6"
      style={
        {
          // height: "550px",
        }
      }
    >
      <div className="w-full flex justify-between items-center mb-4">
        <div className="flex items-center text-4xl font-black text-blue52">
          <div className="w-6 h-6 bg-greenDD ml-4 rounded-full"></div>
          <h1 className="text-2xl text-blue5F">کتاب‌های جدید</h1>
        </div>
        <div>
          <Link
            to="/products"
            className="py-3 px-4 rounded bg-grayF4 text-blue3D text-tiny flex flex-row items-center"
          >
            مشاهده بیشتر
            <div className="transform rotate-90 translate-y-px mr-1">
              <svg
                id="vuesax_linear_arrow-down"
                data-name="vuesax/linear/arrow-down"
                xmlns="http://www.w3.org/2000/svg"
                width="18"
                height="18"
                viewBox="0 0 24 24"
              >
                <g id="arrow-down">
                  <path
                    id="Vector"
                    d="M15.84,0,9.32,6.52a1.986,1.986,0,0,1-2.8,0L0,0"
                    transform="translate(4.08 8.95)"
                    fill="none"
                    stroke="#55A630"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                    strokeWidth="2.5"
                  />
                  <path
                    id="Vector-2"
                    data-name="Vector"
                    d="M0,0H24V24H0Z"
                    transform="translate(24 24) rotate(180)"
                    fill="none"
                    opacity="0"
                  />
                </g>
              </svg>
            </div>
          </Link>
        </div>
      </div>
      {books.length > 0 && (
        <div className="relative w-full" style={{ direction: "ltr" }}>
          <Carousel
            show={Math.round(window.innerWidth / 350)}
            slide={2}
            swiping={true}
            useArrowKeys={true}
            transition={0.5}
            rightArrow={
              <img
                className="absolute top-1/2 transform -rotate-90 -translate-y-1/2 cursor-pointer p-0"
                src={arrow}
                alt=""
                // onClick={(e) => e.stopPropagation()}
              />
            }
            leftArrow={
              <img
                className="absolute top-1/2 transform -translate-y-1/2  -translate-x-5 cursor-pointer rotate-90 p-2 -left-3"
                src={arrow}
                alt=""
                // onClick={(e) => e.stopPropagation()}
              />
            }
          >
            {books.map((product, index) => (
              <Product key={index} product={product} imageSize={3} />
            ))}
          </Carousel>
        </div>
      )}
    </div>
  );
};

const mapStateToProps = (state) => ({
  isDark: state.publicApi.isDark,
});
export default connect(mapStateToProps, {})(Part2);
