import React from "react";
import VodProduct from "../../../../components/VodProduct";
import { Link } from "react-router-dom";

//assets

const Part4 = ({ books, grades }) => {
  return (
    <div className="w-full my-6">
      <div className="w-full flex justify-between items-center">
        <div className="flex items-center text-4xl font-black text-blue52">
          <div className="w-6 h-6 bg-greenDD ml-4 rounded-full"></div>
          <h1 className="text-2xl text-blue5F">جدیدترین دوره‌های ویدئویی</h1>
        </div>
        <div>
          <Link
            to="/products"
            className="py-3 px-4 rounded bg-grayF4 text-blue3D text-tiny flex flex-row items-center"
          >
            مشاهده بیشتر
            <div className="transform rotate-90 translate-y-px mr-1">
              <svg
                id="vuesax_linear_arrow-down"
                data-name="vuesax/linear/arrow-down"
                xmlns="http://www.w3.org/2000/svg"
                width="18"
                height="18"
                viewBox="0 0 24 24"
              >
                <g id="arrow-down">
                  <path
                    id="Vector"
                    d="M15.84,0,9.32,6.52a1.986,1.986,0,0,1-2.8,0L0,0"
                    transform="translate(4.08 8.95)"
                    fill="none"
                    stroke="#55A630"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                    strokeWidth="2.5"
                  />
                  <path
                    id="Vector-2"
                    data-name="Vector"
                    d="M0,0H24V24H0Z"
                    transform="translate(24 24) rotate(180)"
                    fill="none"
                    opacity="0"
                  />
                </g>
              </svg>
            </div>
          </Link>
        </div>
      </div>
      <ul
        className="py-6 my-10 border-t border-b border-solid border-gray-200 justify-center"
        style={{}}
      >
        <ul className="flex flex-wrap justify-center ">
          {books?.slice(0, 6)?.map((video, index) => (
            <li
              key={index}
              className={`flex flex-col border-solid border-gray-200 ${
                index != 3 && index != 4 && index != 5 ? "border-b" : null
              } video ${index != 0 && index != 3 ? "border-r" : null}`}
              style={{ width: "33.333333%" }}
            >
              <VodProduct
                video={video}
                key={index}
                index={index}
                height={"calc(100vh / 3.8)"}
                grades={grades}
              />
            </li>
          ))}
        </ul>
      </ul>
    </div>
  );
};

export default Part4;
