import React, { useEffect } from "react";
import { connect } from "react-redux";
import SalesContainer from "./SalesContainer";

import { book, publicApi } from "../../../redux/actions";
import Part2 from "./Part2";
import HomeImg from "../../../assets/images/HomeImg.png";
import Part4 from "./Part4";
import Design2D from "../../../components/Design2D";

const DesktopHome = ({ grades, getBooks, books }) => {
  const banners = [
    {
      flex: 4,
      items: [
        {
          bg: "",
          flex: 1,
          image:
            "https://dkstatics-public.digikala.com/digikala-adservice-banners/d2a56a4a0c3ce4645bf0b405b0bbf3a29da1cbd3_1642861192.jpg",
        },
      ],
    },
    {
      flex: 2,
      items: [
        {
          bg: "",
          flex: 1,
          image:
            "https://dkstatics-public.digikala.com/digikala-adservice-banners/e13aefeda2d3b44db78a92aac9cdc82a9b1650e9_1632230372.jpg?",
        },
        {
          bg: "",
          flex: 1,
          image:
            "https://dkstatics-public.digikala.com/digikala-adservice-banners/fe8f275f4e4b5e6eb2f66cf65f3895398e049b40_1625578273.jpg",
        },
      ],
    },
    {
      flex: 2,
      items: [
        {
          bg: "",
          flex: 1,
          image:
            "https://dkstatics-public.digikala.com/digikala-adservice-banners/54d75e08cb0a72920ac3b2338232bf5ca70ccc74_1641638418.jpg",
        },
      ],
    },
  ];

  useEffect(() => {
    getBooks({vod : true});
  },[]);
  
  return (
    <div className="flex flex-col items-center w-11/12 justify-center py-24">
      <div className="w-full">
        <Design2D array={banners} />
      </div>
      <SalesContainer books={books} />
      <Part2 grades={grades} books={books} />
      <div className="mb-16">
        <img src={HomeImg} />
      </div>
      <Part4 books={books} grades={grades} />
    </div>
  );
};

const mapStateToProps = (state) => ({
  isDark: state.publicApi.isDark,
  isMobile: state.publicApi.isMobile,
  books: state.book.list,
  gradeFilterBooks: state.book.gradeFilterBooks,
  selectedGrade: state.book.selectedGrade,
  grades: state.publicApi.grades,
});

const mapDispatchToProps = {
  getBooks: book.list,
  setHeaderOptions: publicApi.setHeaderOptions,
};

export default connect(mapStateToProps, mapDispatchToProps)(DesktopHome);
