import React, { useEffect, useState } from "react";
import projectorIcon from "../../../../../assets/icons/projector.svg";
import lightIcon from "../../../../../assets/icons/light.svg";
import _ from "lodash";

export default function Lights({ degrees}) {
  return (
    <div className="w-full">
      <header className="container hidden flex-row px-12 lg:px-0 justify-between z-20 transform -translate-y-16 lg:-translate-y-24">
        {degrees.map((light, index) => (
          <Light degree={light} key={index} />
        ))}
      </header>
    </div>
  );
}

const Light = ({ degree }) => {
  return (
    <div
      className="flex flex-col items-center relative"
      style={{ transform: `rotate(${degree}deg)` }}
      draggable={false}
    >
      <img src={projectorIcon} alt="" className="w-6 h-6 lg:w-12 lg:h-12" draggable={false} />
      <img
        draggable={false}
        src={lightIcon}
        alt=""
        className={_.join(["absolute z-50 light-animation opacity-50"], " ")}
        style={{ transform: `scale(6) translateY(24%)`, pointerEvents: "none" }}
      />
    </div>
  );
};

Lights.defaultProps = {
  degrees : [32, 17, 0, -17, -32]
}
