import React, { useState, useEffect, useCallback } from "react";
import {connect} from 'react-redux';
import _ from "lodash";
import ARImage from "../../../../../../assets/images/ar.jpg";
import scroll from "../../../../../../utils/scroll";

function Video({ top, videoPosition }) {  
  return (
    <div className="relative h-full w-full bg-transparent">
      <video
        id="video"
        className={_.join(
          [
            "video outline-none animation-puls transform z-50",
            window.scrollY > 3.5 * window.innerHeight ? "fixed" : "absolute",
            window.scrollY > 3.5 * window.innerHeight ? "" : "-translate-y-1/2",
          ],
          " "
        )}
        style={{
          height:
            window.scrollY < 3.5 * window.innerHeight
              ? (window.innerHeight * 9) / 25
              : videoPosition?.height,
          width:
            window.scrollY < 3.5 * window.innerHeight
              ? "100%"
              : videoPosition?.width,
          left:
            window.scrollY < 3.5 * window.innerHeight
              ? "0px"
              : videoPosition?.left,
          top:
            window.scrollY < 3.5 * window.innerHeight
              ? top + "%"
              : videoPosition?.top,
        }}
        controls
        autoPlay={
          window.scrollY > 3 * window.innerHeight &&
          window.scrollY < 3.5 * window.innerHeight
        }
      >
        <source
          src={`https://dnvn.ir/api/v1/file/${20840}`}
          type={"video/mp4"}
        />
      </video>
      <img src={ARImage} className="w-full absolute bottom-0 left-0" />
    </div>
  );
}

const mapStateToProps = (state) => ({
  videoPosition: state.scrollAction.page2VideoPosition,
  top : state.scrollAction.page2VideoTopPosition
})

export default connect(mapStateToProps, {})(Video);