import { connect } from "react-redux";
import _ from "lodash";
import Mobile from "./Mobile";
import qrImage from "../../../../assets/images/qrImage.png";
import rightBg from "../../../../assets/images/page-bg.png";
import leftBg from "../../../../assets/images/page-bg-1.png";

function Page2({ top, rotateX, boxPosition }) {
  return (
    <div
      className={_.join(["h-screen w-full fixed left-0 overflow-hidden"], " ")}
      style={{
        top: top,
        perspective: "400px",
      }}
      onClick={(e) => e.stopPropagation()}
    >
      <div
        className={_.join(
          [" home-page2 h-full w-full origin-bottom overflow-hidden"],
          " "
        )}
        style={{
          transformStyle: "preserve-3d",
          transform: `rotateX(${rotateX}deg)`,
        }}
      >
        <div
          className={_.join(
            [
              "relative shadow-2xl transform flex bg-white text-center overflow-hidden",
            ],
            " "
          )}
          style={{
            transform: `translateX(${boxPosition.translateX}%) rotate(${boxPosition.rotate}deg) translateY(${boxPosition.translateY}%)`,
            width: "140%",
            height: "140%",
          }}
        >
          <div className="w-1/2 h-full relative">
            <img
              src={rightBg}
              alt=""
              // style={{
              //   transform: `rotate(-${boxPosition.rotate}deg))`,
              // }}
              className="w-full"
            />
            <video
              className={_.join(
                [
                  "video outline-none w-1/2 absolute left-1/2 top-1/2 transform -translate-y-1/2 -translate-x-1/2 rounded-lg cursor-pointer",
                ],
                " "
              )}
              controls
            >
              <source
                src={`https://dnvn.ir/api/v1/file/${20840}`}
                type={"video/mp4"}
              />
            </video>
          </div>
          <div className="w-1/2 h-full relative">
            <img
              src={leftBg}
              alt=""
              className="absolute w-full h-full left-0 top-0"
            />
            <div className="absolute left-5 top-5 h-40 w-40 z-10 bg-white">
              <img src={qrImage} alt="" />
            </div>
            <div
              className="absolute left-7 bg-black z-10"
              style={{
                height: (window.innerHeight * 9) / 25 - 40,
                width: (window.innerHeight * 10) / 20 - 16,
                bottom: (window.innerHeight * 9) / 30,
              }}
            ></div>
          </div>
        </div>
        {/* mobile phone */}
        <Mobile
        />
        {/* video */}
      </div>
    </div>
  );
}

const mapStateToProps = (state) => ({
  top: state.scrollAction.page2TopPosition,
  rotateX : state.scrollAction.page2RotateX,
  boxPosition : state.scrollAction.page2BoxPosition,
  mobilePosition : state.scrollAction.page2MobilePosition,
  videoPosition : state.scrollAction.page2VideoPosition
});

export default connect(mapStateToProps, {})(Page2);
