import {connect} from 'react-redux';
import _ from "lodash";
import bgImage from "../../../../assets/images/page5-bg.svg";
import bazarImage from "../../../../assets/images/bazar.svg";
import appStoreImage from "../../../../assets/images/app-store.svg";

function Page4({ top }) {
  return (
    <div
      className={_.join(
        [
          "z-30 fixed left-0 h-screen w-full pt-20 bg-white",
          top >= window.innerHeight -50 ? "opacity-0 pointer-events-none" : "opacity-100",
        ],
        " "
      )}
      style={{ top: top }}
    >
      <div className="relative w-full h-full">
        <img src={bgImage} alt="" className="absolute left-0 -top-1/4 w-full" />
        <div className="absolute top-1/4" style={{ right: "15%" }}>
          <h1 className="text-blueC0 text-5xl font-bold leading-normal">
            یادگیری بدون وقفه
            <br /> لذت یادگیری هوشمند
          </h1>
          <p
            className="text-blueC0 text-md font-light leading-normal"
            style={{ width: "30%" }}
          >
            {" "}
            مداد رنگی ها مشغول بودند به جز مداد سفید، هیچکس به او کار نمیداد،
            همه میگفتند : تو به هیچ دردی نمیخوری، یک شب که مداد رنگی ها تو سیاهی
            شب گم شده بودند، مداد سفید تا صبح ماه کشید مهتاب کشید و انقدر ستاره
            کشید که کوچک و کوچکتر شد صبح توی جعبه مداد رنگی جای خالی او با هیچ
            رنگی پر نشد، به یاد هم باشیم شاید فردا ما هم در کنار هم نباشیم
          </p>
          <div
            className="flex flex-row justify-center w-full mt-5"
            style={{ width: "30%" }}
          >
            <img src={bazarImage} alt="" className="w-36 mx-5 cursor-pointer" />
            <img
              src={appStoreImage}
              alt=""
              className="w-32 mx-5 cursor-pointer"
            />
          </div>
        </div>
      </div>
    </div>
  );
}

const mapStateToProps = (state) => ({
  top : state.scrollAction.page4TopPosition
})

export default connect(mapStateToProps, {})(Page4)