import React, { useEffect } from "react";
import { connect } from "react-redux";
import { publicApi } from "../../../../../redux/actions";
import _ from "lodash";

function LessonPlayList({
  list,
  selectedVideo,
  setVideoActive,
  // catergories,
  // realCategories,
  vods,
  theme,
}) {
  const bookId = localStorage.getItem("bookId");
  useEffect(() => {
    if (localStorage.getItem("scroll-list") && vods) {
      const list = document.getElementById("list");
      const listItem = document.getElementById("listItem" + selectedVideo?.id);
      const elementHeight = listItem?.offsetHeight;
      const listHeight = list.offsetHeight;
      const index = vods?.findIndex(
        (item) => item?.name === selectedVideo?.name
      );

      if (elementHeight * (Number(index) + 1) > listHeight) {
        list.scrollTo(0, elementHeight * (Number(index) + 1) + elementHeight);
      }
      localStorage.removeItem("scroll-list");
    }
  }, [vods]);

  const light = theme === "light";
  return (
    <>
      {
        <div className={_.join(["w-full mb-2.5 flex flex-col border"], " ")}>
          {/* {bookId && (
            <header className="mb-1 flex flex-row items-center">
              <h3 className="py-1 px-2.5 m-0 bg-white inline">
                {
                  realCategories.filter(
                    (item) => item.id === category[0].categoryId
                  )[0].name
                }
              </h3>
              <span
                className="flex flex-1 bg-white"
                style={{ height: 2 }}
              ></span>
            </header>
          )} */}

          {list
            ?.filter((item) => !item.isFreeVOD)
            ?.map((video, i) => (
              <div
                className={_.join(
                  [
                    "flex flex-row items-center py-2",
                    video?.id === selectedVideo?.id ? "bg-white" : "",
                  ],
                  " "
                )}
                key={i}
                id={"listItem" + video.id}
                onClick={() => setVideoActive(video)}
              >
                <span className={"w-8 text-center"}>{Number(i) + 1}</span>
                <div className="relative">
                  {/* <video>
                  <source
                    src={`https://dnvn.ir/api/v1/file/${video.fileIds}`}
                  />
                </video> */}
                  <img
                    className="m-0 rounded-sm"
                    src={`https://dnvn.ir/api/v1/file/${video.posterId}`}
                    alt=""
                    style={{ width: 150 }}
                  />
                  <span className="py-0 px-1 absolute left-1 bottom-2.5">
                    22:05
                  </span>
                </div>
                <div className="py-4 px-2.5 flex flex-col">
                  <h4 className="m-0">{video.name}</h4>
                  {/* <p>{file.text}</p> */}
                </div>
              </div>
            ))}
        </div>
      }
    </>
  );
}

export default connect(
  (state) => ({
    selectedVideo: state.publicApi.selectedVideo,
    // realCategories: state.publicApi.bookInfo?.categories,
    vods: state.publicApi.bookSection?.vods,
  }),
  {
    setVideoActive: publicApi.setVideoActive,
  }
)(LessonPlayList);
