import React, { useEffect } from "react";
import { connect } from "react-redux";
import { book, blog } from "../../../../redux/actions";
import MyBooks from "./MyBooks";
import Shop from "./Shop";
import Videos from "./Videos";
import Blogs from "./Blogs";

function Private({ getList, products, blogs, getBlogList, grades }) {
  useEffect(() => {
    if (products.length === 0) {
      getList({ vod: true });
    }
    if(blogs.length === 0){
      getBlogList();
    }
    // console.log(getBlogList());
  }, []);
  return (
    <div className="w-full flex-1 pb-24">
      <MyBooks books={products} grades={grades} />
      <Shop list={products} grades={grades} />
      <Videos videos={products} grades={grades} />
      <Blogs list={blogs} />
    </div>
  );
}

const mapStateToProps = (state) => ({
  products: state.book.list,
  blogs: state.blog.list,
  grades: state.publicApi.grades
});

const mapDispatchToProps = {
  getList: book.list,
  getBlogList: blog.list
};

export default connect(mapStateToProps, mapDispatchToProps)(Private);
