import React from "react";
import emc2Image from "../../../../../assets/icons/emc2.svg";

function Responsive() {
  return (
    <div
      className="w-full flex flex-col items-center mt-10 px-2"
      style={{
        background: `url(${emc2Image})`,
        backgroundRepeat: "no-repeat",
        backgroundPosition: "0px 0px",
      }}
    >
      <div className="flex flex-col items-center text-center font-extrabold text-blue5F dark:text-gray-300 text-lg mt-3 transform translate-y-4">
        <div className="flex flex-row ">
          <h1 className="inline z-50">
            {window.t("از طریق موبایل یا کامپیوتر میتونی")}
          </h1>
        </div>
        <div className="flex flex-row my-1.5">
          <div className="relative">
            <h1 className="inline z-50 pb-1">
              {window.t("به محتوای دیجیتال")}
              &nbsp;
            </h1>
            <span className="h-1 w-full absolute bottom-0 left-0 bg-green1"></span>
          </div>
          <h1 className="inline">{window.t("کتابها به راحتی")}</h1>
        </div>
        <div className="flex flex-row">
          <h1 className="inline">
            {window.t("کتابها به راحتی")}
          </h1>
        </div>
      </div>
      <div
        className="w-full relative mt-16"
        style={{ height: "calc(100vh / 4)" }}
      >
        <div
          className="absolute left-0 bottom-0 rounded-md bg-grayE3"
          style={{ height: "calc(100vh / 4)", width: "calc(100vw / 1.2)" }}
        ></div>
        <div
          className="absolute right-0 bottom-0 rounded-md bg-gray-300"
          style={{ height: "calc(100vh / 6.2)", width: "calc(100vw / 6)" }}
        ></div>
      </div>
    </div>
  );
}

export default Responsive;
