import React, { useEffect } from "react";
import { connect } from "react-redux";

import DesktopHome from "./Desktop";
import Portrait from "./Portrait";
import { publicApi } from "../../redux/actions";

function Home({ setHeaderOptions, headerOptions, isMobile }) {
  useEffect(() => {
    setHeaderOptions(headerOptions);
  }, []);

  useEffect(() => {
    window.scrollTo(0, 0);
  }, []);

  return (
    <>
      {isMobile ? (
        <Portrait />
      ) : (
        <div className="flex justify-center ">
          <DesktopHome />
        </div>
      )}

      {/* <Landscape /> */}
    </>
  );
}

const mapStateToProps = (state) => ({
  isMobile: state.publicApi.isMobile,
});

const mapDispatchToProps = {
  setHeaderOptions: publicApi.setHeaderOptions,
};

export default connect(mapStateToProps, mapDispatchToProps)(Home);
