import React, { useEffect } from "react";
import Order from "./components/Order";
import { connect } from "react-redux";
import { publicApi } from "../../redux/actions";
//assets
import bookImage from "../../assets/images/book-mini.svg";

function Orders({ orders = [], headerOptions, setHeaderOptions }) {
  
  React.useEffect(() => {
    setHeaderOptions({
      logo: true,
      hamburgerMenu: true,
      qr: true,
      title: false,
      back: false,
      shown: true,
      menu: false,
    });
  }, []);

  useEffect(() => {
    // alert();
    window.scrollTo(0, 0);
  }, []);

  return (
    <div className="flex flex-col px-4">
      {orders.map((order, index) => (
        <Order order={order} key={index} />
      ))}
    </div>
  );
}

const mapStateToProps = (state) => ({
  isMobile: state.publicApi.isMobile,
});

const mapDispatchToProps = {
  setHeaderOptions: publicApi.setHeaderOptions,
};

export default connect(mapStateToProps, mapDispatchToProps)(Orders);
