import React from "react";
import userImage from "../../../assets/images/user.png";

function Comment({ comment }) {
  return (
    <div
      className="flex flex-col py-3 px-2 rounded-md shadow-all border border-gray-200 border-solid dark:border-opacity-10 ml-4 w-auto"
      style={{ minWidth: "250px" }}
    >
      <header className="flex flex-row justify-between">
        <div className="flex flex-row items-center">
          <img src={userImage} alt="" className="h-10 w-10 rounded-full" />
          <strong className="text-blue5F text-md mr-1 dark:text-white">
            {comment?.name}
          </strong>
        </div>
        <div className=""></div>
      </header>
      <p className="text-sm leading-5 text-gray70 mt-2 dark:text-white">
        {comment?.text}
      </p>
    </div>
  );
}

export default Comment;

Comment.defaultProps = {
  comment: {
    name: window.t("سورنا عابدی"),
    text: window.t(
      "خالد حسینی تو رمان باد بادک باز مینویسه : ﻣﺮﺩ ﺁﻫﺴﺘﻪ ﺩﺭ ﮔﻮﺵ ﻓﺮﺯﻧﺪ ﺗﺎﺯﻩ ﺑﻪ ﺑﻠﻮﻍ ﺭﺳﯿﺪﻩ ﺍﺵ ﺑﺮﺍﯼ ﭘﻨﺪ ﭼﻨﯿﻦ ﻧﺠﻮﺍ ﮐﺮﺩ : ” ﭘﺴﺮﻡ ﺩﺭ ﺯﻧﺪﮔﯽ ﻫﺮﮔﺰ ﺩﺯﺩﯼ ﻧﮑﻦ ” ﭘﺴﺮ ﻣﺘﻌﺠﺐ ﻭ ﻣﺒﻬﻮﺕ ﺑﻪ ﭘﺪﺭ ﻧﮕﺎﻩ ﮐﺮﺩ ﺑﺪﯾﻦ ﻣﻌﻨﺎ ﮐﻪ ﺍﻭ ﻫﺮﮔﺰ ﺩﺳﺖ ﮐﺞ ﻧﺪﺍﺷﺘﻪ ﭘﺪﺭ ﺑﻪ ﻧﮕﺎﻩ ﻣﺘﻌﺠﺐ ﻓﺮﺯﻧﺪ ﻟﺒﺨﻨﺪﯼ ﺯﺩ ﻭ ﺍﺩﺍﻣﻪ"
    ),
  },
};
