import React, { useEffect } from "react";

//components
import ProductOverAll from "./ProductOverAll";
import ProductSuggestions from "../../../components/ProductSuggestion";
import Rate from "../Rate";
import Comments from "../../../components/Comments";
import Comment from "../Comment";
import QandA from "../../../components/QandA";

const DesktopProductLayout = () => {
  useEffect(() => {
    window.scrollTo(0, 0);
  }, []);
  return (
    <div className="w-11/12 flex flex-col overflow-y-hidden mt-3 mb-64 items-center">
      <ProductOverAll />
      <div className="w-full">
        <ProductSuggestions />
      </div>
      <div className="w-2/5 my-8">
        <Rate desktop />
      </div>
      <div className="w-4/5 ">
        {/* <Comments indent={false} /> */}
        <Comment />
        {/* <QandA /> */}
      </div>
    </div>
  );
};

export default DesktopProductLayout;
