import React from "react";
import separate from "../../../utils/separate";

//components
import StarRating from "../../../components/StarRating";
import Progress from "../../../components/Progress";

function Rate({ avarage, all, fields, desktop }) {
  return (
    <div className="w-full flex flex-row justify-between items-center mt-5">
      <div className="flex flex-col items-center justify-center h-full ml-4">
        {desktop ? (
          <h1 className={`text-gray-600 mb-2 font-bold dark:text-white`}>
            {avarage}
          </h1>
        ) : (
          <strong
            className={`text-blue5F mb-2 font-bold dark:text-white`}
            style={{ fontSize: "calc(100vw / 10)" }}
          >
            {avarage}
          </strong>
        )}
        <div className="">
          <StarRating />
        </div>
        <span className="text-base text-gray70 mt-2 dark:text-white">
          {separate(all)}
        </span>
      </div>
      <ul className="p-0 m-0 list-none flex flex-col flex-1">
        {fields.map((item, index) => (
          <li
            key={index}
            className="w-full flex flex-row-reverse items-center justify-between"
          >
            <span className="mr-2 text-xs text-blue5F dark:text-white">
              {item.name}
            </span>

            {desktop ? (
              <Progress deskTop percent={item.percent} />
            ) : (
              <Progress percent={item.percent} />
            )}

            <span className="ml-2 text-xs text-blue5F dark:text-white">
              {item.percent + "%"}
            </span>
          </li>
        ))}
      </ul>
    </div>
  );
}

export default Rate;

Rate.defaultProps = {
  avarage: 4.8,
  all: 4780,
  fields: [
    {
      name: window.t("5 ستاره"),
      percent: 49,
    },
    {
      name: window.t("4 ستاره"),
      percent: 31,
    },
    {
      name: window.t("3 ستاره"),
      percent: 9,
    },
    {
      name: window.t("2 ستاره"),
      percent: 5,
    },
    {
      name: window.t("1 ستاره"),
      percent: 6,
    },
  ],
};
