import React from "react";

const Pagination = ({ postsPerPage, totalPosts, paginate }) => {
  const pageNumbers = [];

  for (let i = 1; i <= Math.ceil(totalPosts / postsPerPage); i++) {
    pageNumbers.push(i);
  }

  return (
    <div>
      <ul className="flex gap-x-2  items-center mt-4">
        {pageNumbers.map((number) => (
          <li
            key={number}
            className="border border-blue-400 bg-blue-200 rounded-sm px-2 py-1"
          >
            <p onClick={() => paginate(number)} className="">
              {number}
            </p>
          </li>
        ))}
      </ul>
    </div>
  );
};

export default Pagination;
