import React from "react";
import { Link } from "react-router-dom";
import linkIcon from "./links.svg";

export default function Links({ data }) {
  return (
    <div className="w-full flex-row justify-between items-center rounded-md bg-yellow-100 bg-opacity-20 py-3 px-2 mt-5 relative dark:bg-opacity-10">
      <div className="flex flex-col">
        <strong className="text-sm font-normal dark:text-white">
          {window.t("لینک ها")}
        </strong>
        {data.map((link, i) => (
          <Link to="#" key={i} className="text-xs mt-1 dark:text-white">
            {link}
          </Link>
        ))}
      </div>
      <img
        src={linkIcon}
        className="w-8 absolute left-2 top-1/2 transform -translate-y-1/2"
        alt=""
      />
    </div>
  );
}
