import React from "react";
import { Link } from "react-router-dom";

const Season = ({ season }) => {
  const Unit = ({ unit }) => {
    return (
      <div className="w-full flex flex-col rounded-md overflow-hidden mb-3 border border-solid border-blueFE dark:border-opacity-60 bg-blueFF dark:bg-opacity-10">
        <div className="w-full flex flex-row justify-between items-center py-3 px-2 border-b border-solid border-blueFE dark:border-opacity-60">
          <strong className="text-blueC0 text-sm dark:text-white font-normal">
            {unit.name}
          </strong>
          <span className="text-sm text-blueC0 dark:text-white">
            {unit.duration}
          </span>
        </div>
        <div className="w-full flex flex-row">
          {unit.play && (
            <Link
              to={"/videos/0/display"}
              className="flex flex-1 flex-row items-center py-2.5 px-2 border-l border-solid border-blueFE dark:border-opacity-60 justify-center text-sm text-blueC0 dark:text-white"
            >
              {window.t("نمایش")}
            </Link>
          )}
          {unit.download && (
            <Link
              to="/videos/0/download"
              className="flex flex-1 flex-row items-center py-2.5 px-2 justify-center text-sm text-blueC0 dark:text-white"
            >
              {window.t("دانلود")}
            </Link>
          )}
        </div>
      </div>
    );
  };
  return (
    <div className="w-full flex flex-col">
      <button className="flex flex-row justify-between items-center rounded-md py-3 px-3 mb-3 bg-blueC0">
        <strong className="text-sm text-white font-medium">
          {season.name}
        </strong>
        <span className="text-sm text-white">{season.duration}</span>
      </button>
      {season.units.map((unit, index) => (
        <Unit unit={unit} key={index} />
      ))}
    </div>
  );
};

export default Season;
