import React from "react";
import { connect } from "react-redux";
import Header from "../../../components/Header";

const VerticalGradeFilter = ({ grades }) => {
  const Grade = ({ grade }) => {
    return (
      <button className="px-4 py-0.5 ml-2.5 rounded-sm border border-gray-300 mt-2 bg-grayF9 dark:bg-blueC0 dark:bg-opacity-10 dark:border-blueC0 dark:border-opacity-60">
        <strong className="text-xs text-gray-600 dark:text-white">
          {grades[grade]}
        </strong>
      </button>
    );
  };
  return (
    <div className="w-full flex flex-col mt-3">
      <Header title={window.t("پایه تحصیلی")} link="videos/video" />
      <div className="flex flex-row w-full overflow-x-scroll pb-3">
        {Object.keys(grades).map((grade, index) => (
          <Grade grade={grade} key={index} />
        ))}
      </div>
    </div>
  );
};

const mapStateToProps = (state) => ({
  grades: state.publicApi.grades,
});

export default connect(mapStateToProps)(VerticalGradeFilter);
