import React, { useState, useEffect } from "react";
import { connect } from "react-redux";
import { publicApi, book } from "../../redux/actions";
import Divider from "../../components/Divider";
import MostViewedVideo from "./components/MostViewedVideo";
import NewestVideo from "./components/NewestVideo";
//assets

function Videos({ headerOptions, setHeaderOptions, getList, videos, grades }) {
  const [search, setSearch] = useState("");

  useEffect(() => {
    setHeaderOptions(headerOptions);
    getList({ vod: true });
  }, []);

  useEffect(() => {
    // alert();
    window.scrollTo(0, 0);
  }, []);

  return (
    <div className="flex flex-col pb-24 ">
      {/* <div className="px-4">
        <Search
          backgroundColor="bg-grayF9 dark:bg-gray2077"
          borderColor="border-grayDB dark:border-gray45"
          textColor="text-blueC0 dark:text-white"
          icon={searchLight}
        />
      </div>
      <div className="pr-4">
        <VerticalGradeFilter />
      </div>
      <div className="px-4 flex flex-col">
        <Divider type={"vertical"} />
      </div> */}
      <div className="pr-4">
        <MostViewedVideo videos={videos} grades={grades} />
      </div>
      <div className="px-4 flex flex-col ">
        <Divider type={"vertical"} />
        <NewestVideo videos={videos} grades={grades} />
      </div>
    </div>
  );
}

const mapStateToProps = (state) => ({
  videos: state.book.list,
  grades: state.publicApi.grades,
});

const mapDispatchToProps = {
  setHeaderOptions: publicApi.setHeaderOptions,
  getList: book.list,
};

export default connect(mapStateToProps, mapDispatchToProps)(Videos);
