module.exports = {
  purge: ["./src/**/*.{js,jsx,ts,tsx}", "./public/index.html"],
  darkMode: "class", // or 'media' or 'class'
  theme: {
    backgroundColor: (theme) => ({
      ...theme("colors"),
      blueC0: "#12CF7F", //در سبد خرید - دکمه ادامه فرآیند
      blueB0: "#000000", // صفحه هوم دسکتاپ - زیر اسلایدر متن لیست محصولات
      blue90: "#235A90", // نقطه های مشخص کننده صفحه در دسکتاپ انیمیشن حالت خاموش
      blueCB: "#98B2CB", // صفحه فعال سازی کتاب دیجیتال دکمه فعال سازی با کد QR
      blueEB: "#2B8DEB", // نوار پروگرس مقدار داخلی که داره پر میشه
      blueFF: "#E8FCFF", // در موبایل صفحه ویديو رنگ پس زمینه لیست فصل ها
      blueFF1: "#E9F0FF", // در صفحه نمایش ویديو پس زمینه پلی لیست
      blueFD: "#F6F9FD", // در صفحه فعال سازی کتاب پس زمینه هشدار
      blueFD1: "#F4F8FD", // در صفحه فعال سازی هدر بالای سایت
      blueFFOP: "rgba(6, 146, 255, 0.36)", // در صفحه محصولات دکمه پاک کردن فیلترها در سایدبار
      redFF: "#FFE6E6", // در انیمیشن موبایل که میاد کد رو اسکن کنه نتیجه اسکن پس زمینه پی دی اف
      redFF1: "#FF2020", // در آیکن همبرگری نقطه نوتیف
      red19: "#C01919", // در صفحه محصول رنگ متن مشاهده نمونه
      yellow2: "#FDFFDA", // در انیمیشن موبایل که برای اسکن کد میاد نتیجه اسکن پس زمینه لینک ها
      yellow3: "#EFFF00", // خط زیر متن یادگیری در دیزاین موبایل پابلیک صفحه هوم
      yellow4: "#FFEE00",
      gray36: "#52796f", // در حالت دارک صفحه موبایل پس زمینه دکمه های کیو آر و ای آز در هدر
      orange1: "#FF6600", // خط زیر متن کنارتونیم در دیزاین موبایل پابلیک صفحه هوم
      greenBA: "#06BAC0", // در سرچ اصلی سایت رنگ تکست تایتل محصولات و صفحات
      green1: "#00FF80", // خط زیر متن یادگیری جذاب در دیزاین موبایل پابلیک صفحه هوم
      gray20: "#202020", // هیچ جا
      gray2077: "#2F3E46", // در صفحه محصولات حالت دارک صفحه محصولات پس زمینه سرچ
      gray2C: "#2C2C2C", // هیچ جا
      gray50: "#99D98C", // در صفحه اسکن کیو آر رنگ پس زمینه ی روی عکس
      grayE3: "#E3E3E3", // رنگ پس زمینه لپ تاپ در صفحه هوم موبایل که نشون دهنده ریسپانسیو بودن سایت ماست
      grayEE: "#76C893", // رنگ پس زمینه موبایل در صفحه هوم موبایل که نشون دهنده ریسپانسیو بودن سایت ماس
      grayF9: "#F9F9F9", // رنگ پس زمینه قیمت محصول و گارنتی و فلان در سبد خرید
      grayF4: "#DEFFF1", // در صفحه محصولات رنگ پس زمینه عکس کتاب
      grayF7: "#12cf7f",
      greenDD: "#D5DDBC", // رنگ پس زمینه باکس اضافه کردن به سبد خرید در صفحه محصول
      greenD8: "#F8F9FA",
      greenF1: "#9CF1FA",
    }),
    textColor: (theme) => ({
      ...theme("colors"),
      primary: "#235A90",
      blueC0: "#12CF7F", //در سبد خرید - دکمه ادامه فرآیند
      blueC01: "#1999C0", // هیچ جا
      blueE8: "#52796F", // در صفحه محصول متن به من کمک کن انتخاب کنم
      blue52: "#354F52", // در باکس اضافه کردن به سبد خرید رنگ متن با خرید این محصول فلان تومن سود کن
      blue5F: "#2F3E46", // رنگ لینکها در هدر بالای سایت
      blueB9: "#86A0B9", // در موبایل تب پایین صفحه رنگ متن صفحات
      blue3D: "14213D",
      green71: "#067182", // در دسکتاپ انیمیشن قسمت برگزاری آزمون تکست زمان بافیمانده
      greenBA: "#06BACE", // در سرچ اصلی سایت رنگ تکست تایتل محصولات و صفحات
      red5F: "#5F1A05", // در انیمیشن موبایل که میاد کد رو اسکن کنه نتیجه اسکن متن پی دی اف,
      green4F: "#354F52",
      red19: "#C01919", // در صفحه محصول رنگ متن مشاهده نمونه
      yellow1: "#5F5F05", // در انیمیشن موبایل که برای اسکن کد میاد نتیجه اسکن رنگ متن لینک ه
      gray1: "#333333", // رنگ متن سرچ در صفحه محصولات موبایل
      gray70: "#707070", // رنگ متن تایتل لیست لینک ها در فوتر سایت
      grayDB: "#DBDBDB", // در دراور موبایل رنگ متن شماره موبایل کاربر در حالت دارک
      green7B: "#137B4F",
    }),
    // height: (theme) =>( {
    //   sm: '8px',
    //   md: '16px',
    //   lg: '24px',
    //   xl: '48px',
    //   h420 : '320px',
    //   full: '100%',
    //   }),
    borderColor: (theme) => ({
      ...theme("colors"),
      blueC0: "#12CF7F",
      blueC01: "#1999C0",
      blueFE: "#E8FCFF",
      blueFF1: "#E9F0FF",
      blueB9: "#86A0B9",
      grayDB: "#DBDBDB",
      gray45: "#454545",
      red19: "#C01919",
      greenB9: "#80B918",
    }),
    fill: (theme) => ({
      ...theme("colors"),
      blueC0: "#196EC0",
      grayDF: "#DFDFDF",
      greenBA: "#06BACE",
    }),
    fontSize: {
      xs: "clamp(9px, 2.78vw, 11px)",
      sm: "clamp(11px, 3.02vw , 13px)",
      tiny: "clamp(13px,3.28vw, 15px)",
      base: "clamp(15px, 3.52vw, 17px)",
      lg: "clamp(17px, 3.76vw, 19px)",
      xl: "clamp(19px, 4vw, 21px)",
      "2xl": "clamp(21px, 4.24vw, 23px)",
      "3xl": "clamp(23px, 4.48vw, 25px)",
      "4xl": "clamp(25px, 4.72vw, 27px)",
      "5xl": "clamp(27px, 4.96vw, 29px)",
      "6xl": "clamp(29px, 5.22vw, 31px)",
      "7xl": "clamp(31px, 4.46vw, 33px)",
      "sm-1": "0.5rem",
    },
    extend: {
      borderRadius: {
        sm: "3px",
      },
    },
  },
  variants: {
    extend: {},
  },
  plugins: [],
};
